commit 7cc64ea49616b7bca4e7d950e25fd2cc9e4111ef
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Oct 31 18:54:30 2024 +0100

    testsuite: arm: Force hard ABI for pr51534.c test
    
    The test case is written in a way that it should be using hard float
    ABI, but the use of -mfloat-abi=hard could be overriden by
    dg-add-options arm_neon. Ensure that -mfloat-abi=hard is always after.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/pr51534.c: Ensure -mfloat-abi=hard is used.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit e995866cff2866512cd3af24b6ca27a5782aca1f)

diff --git a/gcc/testsuite/gcc.target/arm/pr51534.c b/gcc/testsuite/gcc.target/arm/pr51534.c
index ba21259bee5..b68ecce2639 100644
--- a/gcc/testsuite/gcc.target/arm/pr51534.c
+++ b/gcc/testsuite/gcc.target/arm/pr51534.c
@@ -3,8 +3,9 @@
 
 /* { dg-do assemble { target { arm_hard_ok } } } */
 /* { dg-require-effective-target arm_neon_ok } */
-/* { dg-options "-save-temps -mfloat-abi=hard -O3" } */
+/* { dg-options "-save-temps -O3" } */
 /* { dg-add-options arm_neon } */
+/* { dg-additional-options "-mfloat-abi=hard" } */
 
 #include <arm_neon.h>
 

